Loyality Documentation
  1. Authentication
Loyality Documentation
  • Coaches
    • Resumes
      • Get all Resumes
      • Filter Resume By Status
      • Get Resume Details
      • Mark As Done
      • Drop A Review
      • Drop Updated Resume
    • Sessions
      • Get All My Sessions
      • View Specific Session
      • Raise A Concern
      • Mark As Complete
      • Ask For Reschdule
    • Mock A Coach
      POST
  • Users
    • Sessions
      • Create A Session (New)
      • Get All Sessions
      • Get A Session
      • Drop A Review
      • Book A Discovery Call
      • Reshedule Session
      • Close Session
      • Raise A Concern
      • One-On-One Coaching
    • Authentication
      • Registration
        POST
      • Login
        POST
      • Logout
        POST
      • Forget-Password
        POST
      • Resend Activation Link
        POST
      • View Profile
        GET
      • Update Account
        PUT
      • Update Account As Coach
        PUT
      • Activate Reset Password
        PATCH
      • Google Auth (Redirection Page)
        GET
      • Google Auth Callback
        GET
      • Change Password
        PATCH
      • Price Account Set Up
        PATCH
      • Schedule Account Setup
        PATCH
      • Turn On / Off Individual Session
        PATCH
    • Resumes
      • Submit A Resume
      • Get All Resumes
      • Get A Specific Resume
      • Make A Review
      • Raise A Concern
    • BootCamps
      • Register For BootCamp
    • Payments
      • Verify Payment Hook
  • Admin
    • Videos
      • Upload An Video
      • Get All Videos
      • Get Specific Videos
      • Delete Video
      • Update Video
    • Community
      • Get All Communities
      • Create A Community
      • Update Community
      • Delete Community
      • Get All Newsletters
    • Coaches
      • Get All Coaches
      • Coach Profile
      • Swtich Coaches Role
    • Sessions
      • Get All Sessions
      • Get Session Details
      • Mark As Complete
      • Setting Timeline On One-On-One
      • USD Session & Sends USD Notification
    • Authentication
      • Profile
      • Admin Login
    • Users
      • Get All Users
      • User Profile
    • Articles
      • Get All Articles
      • Get Article Details
      • Create A Article
      • Update Article
      • Delete Article
    • Testimonials
      • Get All Testimonials
      • Approve Or Disapprove Testimonails
      • Create A Testimonial
      • Get Specific Testimonial
    • BootCamp (Cohort)
      • Add Cohort
      • Get All Cohorts
      • Get All Specific Cohort
      • Get All Students
      • Delete Cohort
      • Update Cohort
    • Resumes
      • Get All Resumes
      • Assign A Resume
      • Get Resume Details
    • Hero Videos
      • Get All Hero Videos
      • Upload Hero Video
      • Get A Specific Hero Video
      • Update Hero Video
      • Delete Hero Video
    • Events
      • Get All Events
      • Create Event
      • Update Event
      • Get Specfic Events
      • Delete Events
    • Get All Subscribers
      GET
  • Get All Coaches
    GET
  • Welcome Page
    GET
  • Activate Account
    GET
  • HealthCheck
    GET
  • Sign Up For NewsLetters
    POST
  • Get All Plans
    GET
  • List Of Banks
    GET
  • Account Verification
    POST
  • Get A Coach
    GET
  • Get all Testimonials
    GET
  • Get All BootCamps
    GET
  • Get All Articles
    GET
  • Get Specific Articles
    GET
  • Get A Specific Bootcamp
    GET
  • Get A Specific Video
    GET
  • Get All Videos
    GET
  • Get All Events
    GET
  • Get A Specific Event
    GET
  • Get All Hero Videos
    GET
  • Get All Communities
    GET
  • Get A Coach By Slug
    GET
  • Check Slug Availability
    GET
  1. Authentication

Schedule Account Setup

PATCH
/api/v1/auth/coach/availability-setup

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/auth/coach/availability-setup' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "availability": {
    "timezone": "African/Lagos",
    "timelines": {
        "monday": ["9:00AM-10:00AM", "10:00AM-11:00AM"],
        "tuesday": ["03:00PM-04:00PM", "11:00AM-12:00Noon"],
        "wednesday": ["03:00PM-04:00PM", "10:00AM-11:00AM"],
        "thursday": ["03:00PM-04:00PM", "10:00AM-11:00AM"],
        "saturday": [],
        "sunday": []
    }
  }
}'
Response Response Example
{
    "data": {
        "message": "Your account has been successfully been updated",
        "status": true,
        "user": {
            "email": "abdullahyahaya2018+2025@gmail.com",
            "fullName": "Yahaya Abdullah Abu",
            "phone": "+2348089885365",
            "profile": "https://res.cloudinary.com/dzljyt3y1/image/upload/v1735948025/wzoflo4ybj6a8mxhwvaq.jpg",
            "role": "coach",
            "skills": [
                "Project Management",
                "Kanban"
            ],
            "account": {
                "name": "Yahaya Abdullah",
                "number": "0201021081",
                "bank": "GT Bank",
                "_id": "677876fa42bf1621ec02e299",
                "id": "677876fa42bf1621ec02e299"
            },
            "companies": [
                {
                    "name": "Cholatrek",
                    "logo": "logo.com"
                }
            ],
            "liveResumes": {
                "halfMinutes": 9000,
                "anHour": 232000,
                "_id": "677913e676d85d99e69ed385",
                "id": "677913e676d85d99e69ed385"
            },
            "mockInterview": {
                "halfMinutes": 40000,
                "anHour": 30000,
                "_id": "677913e676d85d99e69ed386",
                "id": "677913e676d85d99e69ed386"
            },
            "coachDetails": {
                "availability": {
                    "timezone": "African/Lagos",
                    "pmClaritySession": {
                        "anHour": {
                            "monday": [
                                "9:00AM-10:00AM",
                                "10:00AM-11:00AM"
                            ],
                            "tuesday": [
                                "03:00PM-04:00PM",
                                "10:00AM-11:00AM"
                            ],
                            "wednesday": [],
                            "thursday": [],
                            "friday": [],
                            "saturday": [],
                            "sunday": [],
                            "_id": "677e477e3822f517cef80401",
                            "id": "677e477e3822f517cef80401"
                        },
                        "halfMinutes": {
                            "monday": [
                                "9:00AM-10:00AM",
                                "10:00AM-11:00AM"
                            ],
                            "tuesday": [
                                "03:00PM-04:00PM",
                                "10:00AM-11:00AM"
                            ],
                            "wednesday": [],
                            "thursday": [],
                            "friday": [],
                            "saturday": [],
                            "sunday": [],
                            "_id": "677e477e3822f517cef80402",
                            "id": "677e477e3822f517cef80402"
                        },
                        "_id": "677e477e3822f517cef80400",
                        "id": "677e477e3822f517cef80400"
                    },
                    "liveResumes": {
                        "anHour": {
                            "monday": [],
                            "tuesday": [],
                            "wednesday": [],
                            "thursday": [],
                            "friday": [],
                            "saturday": [],
                            "sunday": [
                                "9:00AM-10:00AM",
                                "10:00AM-11:00AM"
                            ],
                            "_id": "677e477e3822f517cef80404",
                            "id": "677e477e3822f517cef80404"
                        },
                        "halfMinutes": {
                            "monday": [],
                            "tuesday": [],
                            "wednesday": [],
                            "thursday": [],
                            "friday": [],
                            "saturday": [],
                            "sunday": [
                                "9:00AM-10:00AM",
                                "10:00AM-11:00AM"
                            ],
                            "_id": "677e477e3822f517cef80405",
                            "id": "677e477e3822f517cef80405"
                        },
                        "_id": "677e477e3822f517cef80403",
                        "id": "677e477e3822f517cef80403"
                    },
                    "mockInterview": {
                        "anHour": {
                            "monday": [],
                            "tuesday": [],
                            "wednesday": [],
                            "thursday": [],
                            "friday": [],
                            "saturday": [],
                            "sunday": [
                                "9:00AM-10:00AM",
                                "10:00AM-11:00AM"
                            ],
                            "_id": "677e477e3822f517cef80407",
                            "id": "677e477e3822f517cef80407"
                        },
                        "halfMinutes": {
                            "monday": [],
                            "tuesday": [],
                            "wednesday": [],
                            "thursday": [],
                            "friday": [],
                            "saturday": [],
                            "sunday": [
                                "9:00AM-10:00AM",
                                "10:00AM-11:00AM"
                            ],
                            "_id": "677e477e3822f517cef80408",
                            "id": "677e477e3822f517cef80408"
                        },
                        "_id": "677e477e3822f517cef80406",
                        "id": "677e477e3822f517cef80406"
                    },
                    "_id": "677e477e3822f517cef803ff",
                    "id": "677e477e3822f517cef803ff"
                },
                "_id": "677e477e3822f517cef803fe",
                "id": "677e477e3822f517cef803fe"
            },
            "pmClaritySession": {
                "halfMinutes": 6000,
                "anHour": 70000,
                "_id": "677913e676d85d99e69ed387",
                "id": "677913e676d85d99e69ed387"
            }
        }
    }
}
Modified at 2026-03-12 16:57:10
Previous
Price Account Set Up
Next
Turn On / Off Individual Session
Built with